Modify

Opened 7 years ago

Closed 7 years ago

Last modified 6 years ago

#1012 closed Known issue (fixed)

Fresh install fails on Windows XP SP2 (JRE 1.6 Build 5)

Reported by: justin.judd@… Owned by: bflorat
Priority: 7, high Milestone: 1.6 "Summertime"
Component: Core Version: 1.5
Keywords: Cc:
Regression ?:

Description

Fresh install of Jajuk. On initial launch, I set my music directory and click OK. I see the splash screen until "Launching Graphical Interface", then app crashes (splash screen disappears). On following launch, I see the splash screen and a notification about Last.FM support, then the application loads until "Launching Graphical Interface" and it crashes.

Here is the 'jajuk.log' on first launch:

2008/03/25 15:06:38 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/25 15:06:38 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/25 15:06:39 [ERROR] 159) No history file or error parsing it  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: No history file or error parsing it
	at org.jajuk.services.bookmark.History.load(History.java:244)
	at org.jajuk.Main.main(Main.java:372)

And on subsequent launches, the following is appended to jajuk.log:

2008/03/25 15:09:50 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/25 15:09:50 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/25 15:09:51 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection_exit.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.Main.loadCollection(Main.java:1036)
	at org.jajuk.Main.main(Main.java:366)
2008/03/25 15:09:51 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.base.Collection.load(Collection.java:327)
	at org.jajuk.Main.loadCollection(Main.java:1048)
	at org.jajuk.Main.main(Main.java:366)
2008/03/25 15:09:53 [ERROR] Premature end of file. / null  [main] (Log.java:270) 
org.xml.sax.SAXParseException: Premature end of file.
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.createSAXParseException(Unknown Source)
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.fatalError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLErrorReporter.reportError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLScanner.reportFatalError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$PrologDriver.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at org.jajuk.services.webradio.WebRadioManager.loadRepository(WebRadioManager.java:87)
	at org.jajuk.services.webradio.WebRadioManager.<init>(WebRadioManager.java:76)
	at org.jajuk.services.webradio.WebRadioManager.getInstance(WebRadioManager.java:125)
	at org.jajuk.services.webradio.WebRadioManager.getCurrentWebRadioTooltip(WebRadioManager.java:259)
	at org.jajuk.ui.actions.WebRadioAction.<init>(WebRadioAction.java:39)
	at org.jajuk.ui.actions.ActionManager.<init>(ActionManager.java:116)
	at org.jajuk.ui.actions.ActionManager.getInstance(ActionManager.java:97)
	at org.jajuk.Main.main(Main.java:406)

Attachments (3)

hs_err_pid2836.log (10.1 KB) - added by justin.judd@… 7 years ago.
Java Dump
out.txt (206.7 KB) - added by justin.judd@… 7 years ago.
hs_err_pid6608.log (10.2 KB) - added by justin.judd@… 7 years ago.

Download all attachments as: .zip

Change History (18)

comment:1 Changed 7 years ago by bflorat

These traces alone cannot explain a crash, being correctly trapped. The second one only means that jajuk cannot download webradios list from jajuk repository but it should be retry next time.

Could you please send the next lines in jajuk.log ? does the java process is really killed (Use the task manager)

comment:2 Changed 7 years ago by anonymous

That is the entire jajuk.log. The javaw.exe process does crash (it disappears from the Task Manager). I've attached the Java dump (from C:\Program Files\Jajuk\bin).

Changed 7 years ago by justin.judd@…

Java Dump

comment:3 Changed 7 years ago by bflorat

At a first glance, I didn't found anything interesting from the dump. Could you please set jajuk.options.log_level=4 in <home>\.jajuk\conf.properties file, launch jajuk again and send the jajuk.log output again ?

comment:4 Changed 7 years ago by anonymous

2008/03/26 09:18:37 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/26 09:18:37 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/26 09:18:37 [DEBUG] Register: "EVENT_PARAMETERS_CHANGE" by: org.jajuk.ui.helpers.FontManager@b1c5fa  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.base.AlbumManager@12d15a9  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.base.TrackManager@12b7eea  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Workspace used: C:\Documents and Settings\justin.judd  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] {java.runtime.name=Java(TM) SE Runtime Environment, sun.boot.library.path=C:\Program Files\Java\jre1.6.0_05\bin, java.vm.version=10.0-b19, java.vm.vendor=Sun Microsystems Inc., java.vendor.url=(url snipped), path.separator=;, java.vm.name=Java HotSpot(TM) Client VM, file.encoding.pkg=sun.io, sun.java.launcher=SUN_STANDARD, user.country=AU, sun.os.patch.level=Service Pack 2, java.vm.specification.name=Java Virtual Machine Specification, user.dir=C:\Program Files\Jajuk\bin, java.runtime.version=1.6.0_05-b13, java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment, java.endorsed.dirs=C:\Program Files\Java\jre1.6.0_05\lib\endorsed, os.arch=x86, java.io.tmpdir=C:\DOCUME~1\JUSTIN~1.JUD\LOCALS~1\Temp\, line.separator=
, java.vm.specification.vendor=Sun Microsystems Inc., user.variant=, os.name=Windows XP, sun.jnu.encoding=Cp1252, java.specification.name=Java Platform API Specification, java.class.version=50.0, sun.management.compiler=HotSpot Client Compiler, os.version=5.1, user.home=C:\Documents and Settings\justin.judd, user.timezone=Australia/Sydney, java.awt.printerjob=sun.awt.windows.WPrinterJob, file.encoding=Cp1252, java.specification.version=1.6, java.vm.specification.version=1.0, java.home=C:\Program Files\Java\jre1.6.0_05, sun.arch.data.model=32, user.language=en, java.specification.vendor=Sun Microsystems Inc., awt.toolkit=sun.awt.windows.WToolkit, java.vm.info=mixed mode, sharing, java.version=1.6.0_05, java.vendor=Sun Microsystems Inc., file.separator=\, java.vendor.url.bug=(url snipped), sun.io.unicode.encoding=UnicodeLittle, sun.cpu.endian=little, sun.desktop=windows, sun.cpu.isalist=pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86}  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] {jajuk.confirmations.delete_cover=true, jajuk.confirmations.reset_ratings=true, jajuk.confirmations.exit=false, jajuk.audio_buffer_size=-1, jajuk.show_popups=false, jajuk.not_show_again.player=false, jajuk.logical_tree_sort_order=0, jajuk.global_novelties.mode=track, jajuk.buffer_size=16000, jajuk.fade_duration=6, jajuk.ui.cover_catalog.thumbs_size=150x150, jajuk.animation_pattern=%artist / %album / %title, jajuk.options.watermark=None, jajuk.state.mode.intro=false, jajuk.options.p2p.add_remote_properties=false, jajuk.options.hide_unmounted=false, jajuk.catalog.pages_size=100, jajuk.lastfm_information=true, jajuk.ui.playlist_editor_columns=0,name,,author,rate, jajuk.tags.use_parent_dir=true, jajuk.options.show_popup=false, jajuk.ui.perspective_icons_size=32, jajuk.show_at_startup=true, jajuk.state.mode.continue=true, jajuk.preference.perspective.default=org.jajuk.ui.perspectives.SimplePerspective, jajuk.ui.physical_table_edition=false, jajuk.backup_size=20, jajuk.network.connection_timeout=10, jajuk.frame.forced_position=, jajuk.fonts_size=12, jajuk.wikipedia.lang=en, jajuk.player.mplayer_args=, jajuk.state.was_playing=true, jajuk.options.log_level=4, jajuk.options.tab=0, jajuk.ui.albums_table_edition=false, jajuk.network.audioscrobbler=false, jajuk.bookmarks=, jajuk.options.novelties=30, jajuk.options.intro.begin=0, jajuk.options.sync_table_tree=false, jajuk.options.use_hotkeys=false, jajuk.confirmations.delete_file=true, jajuk.covers.auto_cover=true, jajuk.covers.size=3, jajuk.regexp=false, jajuk.covers.preload=false, jajuk.confirmations.clear_history=true, jajuk.player.env_variables=, jajuk.ui.logical_table_columns=play,name,album,author,style,length,,rate, jajuk.update.check_for_updates=true, jajuk.options.lnf=Steel Blue, jajuk.catalog.sorter=2, jajuk.default_ambience=, jajuk.confirmations.remove_device=true, jajuk.state.mode.repeat=false, jajuk.options.default_action_drop=true, jajuk.options.intro.length=20, jajuk.default_web_radio=Bluemars [Ambient/Space-Music], jajuk.catalog.filter=0, jajuk.not_show_lastfm_disable=false, jajuk.confirmations.refactor_files=true, jajuk.mplayer.forced_path=, jajuk.network.proxy_type=http, jajuk.ui.cover_catalog.show_without_cover=true, jajuk.startup.file=, jajuk.bestof_size=20, jajuk.state.mode.shuffle=false, jajuk.webradio.was_playing=false, jajuk.volume=0.5, jajuk.inc_rating.step=5, jajuk.covers.shuffle=false, jajuk.options.language=en, jajuk.window_position=60,60,1200,930, jajuk.global_random.mode=track, jajuk.not_show_again.concurrent_session=false, jajuk.options.visible_planned=10, jajuk.startup.last_position=0, jajuk.collection_charset=UTF-8, jajuk.refactor_pattern=%artist/%year - %album/%n - %title, jajuk.ui.physical_table_columns=play,track,album,author,style,rate,length, jajuk.network.use_proxy=false, jajuk.update.ignored_releases=, jajuk.release=1.5b3, jajuk.options.p2p.hide_local_properties=true, jajuk.options.history=-1, jajuk.ui.logical_table_edition=false, jajuk.tip.index=0, jajuk.options.p2p.share=false, jajuk.default_dj=, jajuk.options.default_action_click=false, jajuk.startup.mode=last_keep_pos, jajuk.ui.albums_table_columns=play,album,author,style,year,rate,length,tracks,added}  [main] (Log.java:113) 
2008/03/26 09:18:40 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection_exit.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.Main.loadCollection(Main.java:1036)
	at org.jajuk.Main.main(Main.java:366)
2008/03/26 09:18:40 [DEBUG] Jajuk was not closed properly during previous session, try to load previous collection file  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Starting collection file parsing...  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Collection file parsing done : 16 ms  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.services.bookmark.History@cb6009  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_DEVICE_REFRESH" by: org.jajuk.services.bookmark.History@cb6009  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.services.bookmark.History@cb6009  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.services.bookmark.History@cb6009  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.services.bookmark.History@cb6009  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_LANGUAGE_CHANGED" by: org.jajuk.services.bookmark.History@cb6009  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Starting history file parsing...  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] History file parsing done  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_STYLE_NAME_CHANGED" by: org.jajuk.services.dj.AmbienceManager@93d6bc  [main] (Log.java:113) 
2008/03/26 09:18:40 [DEBUG] Register: "EVENT_FILE_FINISHED" by: org.jajuk.services.lastfm.LastFmManager@c62c8  [main] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_AMBIENCE_REMOVED" by: org.jajuk.services.dj.DigitalDJManager@c943d1  [main] (Log.java:113) 
2008/03/26 09:18:42 [ERROR] Premature end of file. / null  [main] (Log.java:270) 
org.xml.sax.SAXParseException: Premature end of file.
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.createSAXParseException(Unknown Source)
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.fatalError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLErrorReporter.reportError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLScanner.reportFatalError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$PrologDriver.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at org.jajuk.services.webradio.WebRadioManager.loadRepository(WebRadioManager.java:87)
	at org.jajuk.services.webradio.WebRadioManager.<init>(WebRadioManager.java:76)
	at org.jajuk.services.webradio.WebRadioManager.getInstance(WebRadioManager.java:125)
	at org.jajuk.services.webradio.WebRadioManager.getCurrentWebRadioTooltip(WebRadioManager.java:259)
	at org.jajuk.ui.actions.WebRadioAction.<init>(WebRadioAction.java:39)
	at org.jajuk.ui.actions.ActionManager.<init>(ActionManager.java:116)
	at org.jajuk.ui.actions.ActionManager.getInstance(ActionManager.java:97)
	at org.jajuk.Main.main(Main.java:406)
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@da90c,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@da90c,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@da90c,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAY_ERROR" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_WEBRADIOS_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_AMBIENCES_SELECTION_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAYER_PLAY" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_SPECIAL_MODE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_REPEAT_MODE_STATUS_CHANGED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAYER_PAUSE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAYER_RESUME" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_AMBIENCES_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAYER_STOP" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_DJS_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_MUTE_STATE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_VOLUME_CHANGED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAY_ERROR" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAYER_PAUSE" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_PLAYER_RESUME" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/26 09:18:42 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 

comment:5 Changed 7 years ago by bflorat

Well... it's really strange. I still don't see anything particular and I never heard about such JVM crash, are you sure your JRE is clean ? I suspect the crash to occur in the thread that try to download the webradio list.

Some hits:

in <home>/.jajuk directory to avoid to launch the download thread

  • Try with another JRE (1.5 for ie)

Let us now, I have others ideas after these ones.

comment:6 Changed 7 years ago by justin.judd@…

I downloaded the default_webradios.xml file and saved it to C:\Documents and Settings\justin.judd\.jajuk\webradios.xml. Still crashes:

2008/03/27 07:11:25 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/27 07:11:25 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_PARAMETERS_CHANGE" by: org.jajuk.ui.helpers.FontManager@b1c5fa  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.base.AlbumManager@1827284  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.base.TrackManager@1394894  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Workspace used: C:\Documents and Settings\justin.judd  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] {java.runtime.name=Java(TM) SE Runtime Environment, sun.boot.library.path=C:\Program Files\Java\jre1.6.0_05\bin, java.vm.version=10.0-b19, java.vm.vendor=Sun Microsystems Inc., java.vendor.url=(url), path.separator=;, java.vm.name=Java HotSpot(TM) Client VM, file.encoding.pkg=sun.io, sun.java.launcher=SUN_STANDARD, user.country=AU, sun.os.patch.level=Service Pack 2, java.vm.specification.name=Java Virtual Machine Specification, user.dir=C:\Program Files\Jajuk\bin, java.runtime.version=1.6.0_05-b13, java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment, java.endorsed.dirs=C:\Program Files\Java\jre1.6.0_05\lib\endorsed, os.arch=x86, java.io.tmpdir=C:\DOCUME~1\JUSTIN~1.JUD\LOCALS~1\Temp\, line.separator=
, java.vm.specification.vendor=Sun Microsystems Inc., user.variant=, os.name=Windows XP, sun.jnu.encoding=Cp1252, java.specification.name=Java Platform API Specification, java.class.version=50.0, sun.management.compiler=HotSpot Client Compiler, os.version=5.1, user.home=C:\Documents and Settings\justin.judd, user.timezone=Australia/Sydney, java.awt.printerjob=sun.awt.windows.WPrinterJob, file.encoding=Cp1252, java.specification.version=1.6, java.vm.specification.version=1.0, java.home=C:\Program Files\Java\jre1.6.0_05, sun.arch.data.model=32, user.language=en, java.specification.vendor=Sun Microsystems Inc., awt.toolkit=sun.awt.windows.WToolkit, java.vm.info=mixed mode, sharing, java.version=1.6.0_05, java.vendor=Sun Microsystems Inc., file.separator=\, java.vendor.url.bug=(url), sun.io.unicode.encoding=UnicodeLittle, sun.cpu.endian=little, sun.desktop=windows, sun.cpu.isalist=pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86}  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] {jajuk.confirmations.delete_cover=true, jajuk.confirmations.reset_ratings=true, jajuk.confirmations.exit=false, jajuk.audio_buffer_size=-1, jajuk.show_popups=false, jajuk.not_show_again.player=false, jajuk.logical_tree_sort_order=0, jajuk.global_novelties.mode=track, jajuk.buffer_size=16000, jajuk.fade_duration=6, jajuk.ui.cover_catalog.thumbs_size=150x150, jajuk.animation_pattern=%artist / %album / %title, jajuk.options.watermark=None, jajuk.state.mode.intro=false, jajuk.options.p2p.add_remote_properties=false, jajuk.options.hide_unmounted=false, jajuk.catalog.pages_size=100, jajuk.lastfm_information=true, jajuk.ui.playlist_editor_columns=0,name,,author,rate, jajuk.tags.use_parent_dir=true, jajuk.options.show_popup=false, jajuk.ui.perspective_icons_size=32, jajuk.show_at_startup=true, jajuk.state.mode.continue=true, jajuk.preference.perspective.default=org.jajuk.ui.perspectives.SimplePerspective, jajuk.ui.physical_table_edition=false, jajuk.backup_size=20, jajuk.network.connection_timeout=10, jajuk.frame.forced_position=, jajuk.fonts_size=12, jajuk.wikipedia.lang=en, jajuk.player.mplayer_args=, jajuk.state.was_playing=true, jajuk.options.log_level=4, jajuk.options.tab=0, jajuk.ui.albums_table_edition=false, jajuk.network.audioscrobbler=false, jajuk.bookmarks=, jajuk.options.novelties=30, jajuk.options.intro.begin=0, jajuk.options.sync_table_tree=false, jajuk.options.use_hotkeys=false, jajuk.confirmations.delete_file=true, jajuk.covers.auto_cover=true, jajuk.covers.size=3, jajuk.regexp=false, jajuk.covers.preload=false, jajuk.confirmations.clear_history=true, jajuk.player.env_variables=, jajuk.ui.logical_table_columns=play,name,album,author,style,length,,rate, jajuk.update.check_for_updates=true, jajuk.options.lnf=Steel Blue, jajuk.catalog.sorter=2, jajuk.default_ambience=, jajuk.confirmations.remove_device=true, jajuk.state.mode.repeat=false, jajuk.options.default_action_drop=true, jajuk.options.intro.length=20, jajuk.default_web_radio=Bluemars [Ambient/Space-Music], jajuk.catalog.filter=0, jajuk.not_show_lastfm_disable=false, jajuk.confirmations.refactor_files=true, jajuk.mplayer.forced_path=, jajuk.network.proxy_type=http, jajuk.ui.cover_catalog.show_without_cover=true, jajuk.startup.file=, jajuk.bestof_size=20, jajuk.state.mode.shuffle=false, jajuk.webradio.was_playing=false, jajuk.volume=0.5, jajuk.inc_rating.step=5, jajuk.covers.shuffle=false, jajuk.options.language=en, jajuk.window_position=60,60,1200,930, jajuk.global_random.mode=track, jajuk.not_show_again.concurrent_session=false, jajuk.options.visible_planned=10, jajuk.startup.last_position=0, jajuk.collection_charset=UTF-8, jajuk.refactor_pattern=%artist/%year - %album/%n - %title, jajuk.ui.physical_table_columns=play,track,album,author,style,rate,length, jajuk.network.use_proxy=false, jajuk.update.ignored_releases=, jajuk.release=1.5b3, jajuk.options.p2p.hide_local_properties=true, jajuk.options.history=-1, jajuk.ui.logical_table_edition=false, jajuk.tip.index=0, jajuk.options.p2p.share=false, jajuk.default_dj=, jajuk.options.default_action_click=false, jajuk.startup.mode=last_keep_pos, jajuk.ui.albums_table_columns=play,album,author,style,year,rate,length,tracks,added}  [main] (Log.java:113) 
2008/03/27 07:11:26 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection_exit.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.Main.loadCollection(Main.java:1036)
	at org.jajuk.Main.main(Main.java:366)
2008/03/27 07:11:26 [DEBUG] Jajuk was not closed properly during previous session, try to load previous collection file  [main] (Log.java:113) 
2008/03/27 07:11:26 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.base.Collection.load(Collection.java:327)
	at org.jajuk.Main.loadCollection(Main.java:1048)
	at org.jajuk.Main.main(Main.java:366)
2008/03/27 07:11:26 [DEBUG] Collection commited in 31 ms  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.services.bookmark.History@dc6a77  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.services.bookmark.History@dc6a77  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_LANGUAGE_CHANGED" by: org.jajuk.services.bookmark.History@dc6a77  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.services.bookmark.History@dc6a77  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_DEVICE_REFRESH" by: org.jajuk.services.bookmark.History@dc6a77  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.services.bookmark.History@dc6a77  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Starting history file parsing...  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] History file parsing done  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_STYLE_NAME_CHANGED" by: org.jajuk.services.dj.AmbienceManager@1bd7848  [main] (Log.java:113) 
2008/03/27 07:11:26 [DEBUG] Register: "EVENT_FILE_FINISHED" by: org.jajuk.services.lastfm.LastFmManager@1a62c31  [main] (Log.java:113) 
2008/03/27 07:11:28 [DEBUG] Register: "EVENT_AMBIENCE_REMOVED" by: org.jajuk.services.dj.DigitalDJManager@1829e6f  [main] (Log.java:113) 
2008/03/27 07:11:28 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@1038de7,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@1038de7,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@1038de7,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_AMBIENCES_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_SPECIAL_MODE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_DJS_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAY_ERROR" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_REPEAT_MODE_STATUS_CHANGED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAYER_PLAY" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAYER_STOP" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAYER_RESUME" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_WEBRADIOS_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_VOLUME_CHANGED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_AMBIENCES_SELECTION_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAYER_PAUSE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_MUTE_STATE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAYER_RESUME" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAYER_PAUSE" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 07:11:29 [DEBUG] Register: "EVENT_PLAY_ERROR" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 

comment:7 Changed 7 years ago by bflorat

OK, could you please set jajuk.show_at_startup=false in the conf.properties file and tell me if jajuk starts from the tray without the main window ?
Please provide java dumps.

comment:8 Changed 7 years ago by justin.judd@…

Just tried to launch with a freshly installed JRE 1.5 (Update 15):

2008/03/27 09:55:49 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/27 09:55:49 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/27 09:55:49 [DEBUG] Register: "EVENT_PARAMETERS_CHANGE" by: org.jajuk.ui.helpers.FontManager@186d4c1  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:50 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.base.AlbumManager@cd5f8b  [main] (Log.java:113) 
2008/03/27 09:55:50 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.base.TrackManager@1275d39  [main] (Log.java:113) 
2008/03/27 09:55:50 [DEBUG] Workspace used: C:\Documents and Settings\justin.judd  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] {java.runtime.name=Java(TM) 2 Runtime Environment, Standard Edition, sun.boot.library.path=C:\Program Files\Java\jre1.5.0_15\bin, java.vm.version=1.5.0_15-b04, java.vm.vendor=Sun Microsystems Inc., java.vendor.url=(url), path.separator=;, java.vm.name=Java HotSpot(TM) Client VM, file.encoding.pkg=sun.io, sun.java.launcher=SUN_STANDARD, user.country=AU, sun.os.patch.level=Service Pack 2, java.vm.specification.name=Java Virtual Machine Specification, user.dir=C:\Program Files\Jajuk\bin, java.runtime.version=1.5.0_15-b04, java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment, java.endorsed.dirs=C:\Program Files\Java\jre1.5.0_15\lib\endorsed, os.arch=x86, java.io.tmpdir=C:\DOCUME~1\JUSTIN~1.JUD\LOCALS~1\Temp\, line.separator=
, java.vm.specification.vendor=Sun Microsystems Inc., user.variant=, os.name=Windows XP, sun.jnu.encoding=Cp1252, java.specification.name=Java Platform API Specification, java.class.version=49.0, sun.management.compiler=HotSpot Client Compiler, os.version=5.1, user.home=C:\Documents and Settings\justin.judd, user.timezone=Australia/Sydney, java.awt.printerjob=sun.awt.windows.WPrinterJob, file.encoding=Cp1252, java.specification.version=1.5, java.vm.specification.version=1.0, java.home=C:\Program Files\Java\jre1.5.0_15, sun.arch.data.model=32, user.language=en, java.specification.vendor=Sun Microsystems Inc., awt.toolkit=sun.awt.windows.WToolkit, java.vm.info=mixed mode, sharing, java.version=1.5.0_15, java.vendor=Sun Microsystems Inc., file.separator=\, java.vendor.url.bug=(url), sun.io.unicode.encoding=UnicodeLittle, sun.cpu.endian=little, sun.desktop=windows, sun.cpu.isalist=pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86}  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] {jajuk.confirmations.delete_cover=true, jajuk.confirmations.reset_ratings=true, jajuk.confirmations.exit=false, jajuk.audio_buffer_size=-1, jajuk.show_popups=false, jajuk.not_show_again.player=false, jajuk.logical_tree_sort_order=0, jajuk.global_novelties.mode=track, jajuk.buffer_size=16000, jajuk.fade_duration=6, jajuk.ui.cover_catalog.thumbs_size=150x150, jajuk.animation_pattern=%artist / %album / %title, jajuk.options.watermark=None, jajuk.state.mode.intro=false, jajuk.options.p2p.add_remote_properties=false, jajuk.options.hide_unmounted=false, jajuk.catalog.pages_size=100, jajuk.lastfm_information=true, jajuk.ui.playlist_editor_columns=0,name,,author,rate, jajuk.tags.use_parent_dir=true, jajuk.options.show_popup=false, jajuk.ui.perspective_icons_size=32, jajuk.show_at_startup=true, jajuk.state.mode.continue=true, jajuk.preference.perspective.default=org.jajuk.ui.perspectives.SimplePerspective, jajuk.ui.physical_table_edition=false, jajuk.backup_size=20, jajuk.network.connection_timeout=10, jajuk.frame.forced_position=, jajuk.fonts_size=12, jajuk.wikipedia.lang=en, jajuk.player.mplayer_args=, jajuk.state.was_playing=true, jajuk.options.log_level=4, jajuk.options.tab=0, jajuk.ui.albums_table_edition=false, jajuk.network.audioscrobbler=false, jajuk.bookmarks=, jajuk.options.novelties=30, jajuk.options.intro.begin=0, jajuk.options.sync_table_tree=false, jajuk.options.use_hotkeys=false, jajuk.confirmations.delete_file=true, jajuk.covers.auto_cover=true, jajuk.covers.size=3, jajuk.regexp=false, jajuk.covers.preload=false, jajuk.confirmations.clear_history=true, jajuk.player.env_variables=, jajuk.ui.logical_table_columns=play,name,album,author,style,length,,rate, jajuk.update.check_for_updates=true, jajuk.options.lnf=Steel Blue, jajuk.catalog.sorter=2, jajuk.default_ambience=, jajuk.confirmations.remove_device=true, jajuk.state.mode.repeat=false, jajuk.options.default_action_drop=true, jajuk.options.intro.length=20, jajuk.default_web_radio=Bluemars [Ambient/Space-Music], jajuk.catalog.filter=0, jajuk.not_show_lastfm_disable=false, jajuk.confirmations.refactor_files=true, jajuk.mplayer.forced_path=, jajuk.network.proxy_type=http, jajuk.ui.cover_catalog.show_without_cover=true, jajuk.startup.file=, jajuk.bestof_size=20, jajuk.state.mode.shuffle=false, jajuk.webradio.was_playing=false, jajuk.volume=0.5, jajuk.inc_rating.step=5, jajuk.covers.shuffle=false, jajuk.options.language=en, jajuk.window_position=60,60,1200,930, jajuk.global_random.mode=track, jajuk.not_show_again.concurrent_session=false, jajuk.options.visible_planned=10, jajuk.startup.last_position=0, jajuk.collection_charset=UTF-8, jajuk.refactor_pattern=%artist/%year - %album/%n - %title, jajuk.ui.physical_table_columns=play,track,album,author,style,rate,length, jajuk.network.use_proxy=false, jajuk.update.ignored_releases=, jajuk.release=1.5b3, jajuk.options.p2p.hide_local_properties=true, jajuk.options.history=-1, jajuk.ui.logical_table_edition=false, jajuk.tip.index=0, jajuk.options.p2p.share=false, jajuk.default_dj=, jajuk.options.default_action_click=false, jajuk.startup.mode=last_keep_pos, jajuk.ui.albums_table_columns=play,album,author,style,year,rate,length,tracks,added}  [main] (Log.java:113) 
2008/03/27 09:55:51 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection_exit.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.Main.loadCollection(Main.java:1036)
	at org.jajuk.Main.main(Main.java:366)
2008/03/27 09:55:51 [DEBUG] Jajuk was not closed properly during previous session, try to load previous collection file  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Starting collection file parsing...  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Collection file parsing done : 16 ms  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.services.bookmark.History@128f6ee  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_DEVICE_REFRESH" by: org.jajuk.services.bookmark.History@128f6ee  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.services.bookmark.History@128f6ee  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_LANGUAGE_CHANGED" by: org.jajuk.services.bookmark.History@128f6ee  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.services.bookmark.History@128f6ee  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.services.bookmark.History@128f6ee  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Starting history file parsing...  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] History file parsing done  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_STYLE_NAME_CHANGED" by: org.jajuk.services.dj.AmbienceManager@da4b71  [main] (Log.java:113) 
2008/03/27 09:55:51 [DEBUG] Register: "EVENT_FILE_FINISHED" by: org.jajuk.services.lastfm.LastFmManager@4aa0ce  [main] (Log.java:113) 
2008/03/27 09:55:55 [DEBUG] Register: "EVENT_AMBIENCE_REMOVED" by: org.jajuk.services.dj.DigitalDJManager@6779e6  [main] (Log.java:113) 
2008/03/27 09:55:55 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@16ea269,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:55 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@16ea269,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:55 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.JajukWindow[frame0,0,0,0x0,invalid,hidden,layout=java.awt.BorderLayout,title=Jajuk: Advanced Jukebox,resizable,normal,defaultCloseOperation=DO_NOTHING_ON_CLOSE,rootPane=javax.swing.JRootPane[,0,0,0x0,invalid,layout=org.jvnet.substance.SubstanceRootPaneUI$SubstanceRootLayout,alignmentX=0.0,alignmentY=0.0,border=org.jvnet.substance.SubstancePaneBorder@16ea269,flags=16777673,maximumSize=,minimumSize=,preferredSize=],rootPaneCheckingEnabled=true]  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_WEBRADIOS_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_MUTE_STATE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAYER_PAUSE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAYER_RESUME" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAYER_PLAY" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_DJS_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_AMBIENCES_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAY_ERROR" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_REPEAT_MODE_STATUS_CHANGED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_SPECIAL_MODE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_VOLUME_CHANGED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAYER_STOP" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_AMBIENCES_SELECTION_CHANGE" by: org.jajuk.ui.widgets.CommandJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAY_ERROR" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAYER_RESUME" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_PLAYER_PAUSE" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_ZERO" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:55:56 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.ui.widgets.InformationJPanel  [AWT-EventQueue-0] (Log.java:113) 

Then, tried to launch with jajuk.show_at_startup=false (using default JRE 1.6). I still get the message about Last.FM support, but no splash screen and the jsva process still crashes. Here is the jajuk.log:

2008/03/27 09:59:34 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/27 09:59:34 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/27 09:59:34 [DEBUG] Register: "EVENT_PARAMETERS_CHANGE" by: org.jajuk.ui.helpers.FontManager@b1c5fa  [AWT-EventQueue-0] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.base.AlbumManager@10a3b24  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.base.TrackManager@76e369  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Workspace used: C:\Documents and Settings\justin.judd  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] {java.runtime.name=Java(TM) SE Runtime Environment, sun.boot.library.path=C:\Program Files\Java\jre1.6.0_05\bin, java.vm.version=10.0-b19, java.vm.vendor=Sun Microsystems Inc., java.vendor.url=(url), path.separator=;, java.vm.name=Java HotSpot(TM) Client VM, file.encoding.pkg=sun.io, sun.java.launcher=SUN_STANDARD, user.country=AU, sun.os.patch.level=Service Pack 2, java.vm.specification.name=Java Virtual Machine Specification, user.dir=C:\Program Files\Jajuk\bin, java.runtime.version=1.6.0_05-b13, java.awt.graphicsenv=sun.awt.Win32GraphicsEnvironment, java.endorsed.dirs=C:\Program Files\Java\jre1.6.0_05\lib\endorsed, os.arch=x86, java.io.tmpdir=C:\DOCUME~1\JUSTIN~1.JUD\LOCALS~1\Temp\, line.separator=
, java.vm.specification.vendor=Sun Microsystems Inc., user.variant=, os.name=Windows XP, sun.jnu.encoding=Cp1252, java.specification.name=Java Platform API Specification, java.class.version=50.0, sun.management.compiler=HotSpot Client Compiler, os.version=5.1, user.home=C:\Documents and Settings\justin.judd, user.timezone=Australia/Sydney, java.awt.printerjob=sun.awt.windows.WPrinterJob, file.encoding=Cp1252, java.specification.version=1.6, java.vm.specification.version=1.0, java.home=C:\Program Files\Java\jre1.6.0_05, sun.arch.data.model=32, user.language=en, java.specification.vendor=Sun Microsystems Inc., awt.toolkit=sun.awt.windows.WToolkit, java.vm.info=mixed mode, sharing, java.version=1.6.0_05, java.vendor=Sun Microsystems Inc., file.separator=\, java.vendor.url.bug=(url), sun.io.unicode.encoding=UnicodeLittle, sun.cpu.endian=little, sun.desktop=windows, sun.cpu.isalist=pentium_pro+mmx pentium_pro pentium+mmx pentium i486 i386 i86}  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] {jajuk.confirmations.delete_cover=true, jajuk.confirmations.reset_ratings=true, jajuk.confirmations.exit=false, jajuk.audio_buffer_size=-1, jajuk.show_popups=false, jajuk.not_show_again.player=false, jajuk.logical_tree_sort_order=0, jajuk.global_novelties.mode=track, jajuk.buffer_size=16000, jajuk.fade_duration=6, jajuk.ui.cover_catalog.thumbs_size=150x150, jajuk.animation_pattern=%artist / %album / %title, jajuk.options.watermark=None, jajuk.state.mode.intro=false, jajuk.options.p2p.add_remote_properties=false, jajuk.options.hide_unmounted=false, jajuk.catalog.pages_size=100, jajuk.lastfm_information=true, jajuk.ui.playlist_editor_columns=0,name,,author,rate, jajuk.tags.use_parent_dir=true, jajuk.options.show_popup=false, jajuk.ui.perspective_icons_size=32, jajuk.show_at_startup=false, jajuk.state.mode.continue=true, jajuk.preference.perspective.default=org.jajuk.ui.perspectives.SimplePerspective, jajuk.ui.physical_table_edition=false, jajuk.backup_size=20, jajuk.network.connection_timeout=10, jajuk.frame.forced_position=, jajuk.fonts_size=12, jajuk.wikipedia.lang=en, jajuk.player.mplayer_args=, jajuk.state.was_playing=true, jajuk.options.log_level=4, jajuk.options.tab=0, jajuk.ui.albums_table_edition=false, jajuk.network.audioscrobbler=false, jajuk.bookmarks=, jajuk.options.novelties=30, jajuk.options.intro.begin=0, jajuk.options.sync_table_tree=false, jajuk.options.use_hotkeys=false, jajuk.confirmations.delete_file=true, jajuk.covers.auto_cover=true, jajuk.covers.size=3, jajuk.regexp=false, jajuk.covers.preload=false, jajuk.confirmations.clear_history=true, jajuk.player.env_variables=, jajuk.ui.logical_table_columns=play,name,album,author,style,length,,rate, jajuk.update.check_for_updates=true, jajuk.options.lnf=Steel Blue, jajuk.catalog.sorter=2, jajuk.default_ambience=, jajuk.confirmations.remove_device=true, jajuk.state.mode.repeat=false, jajuk.options.default_action_drop=true, jajuk.options.intro.length=20, jajuk.default_web_radio=Bluemars [Ambient/Space-Music], jajuk.catalog.filter=0, jajuk.not_show_lastfm_disable=false, jajuk.confirmations.refactor_files=true, jajuk.mplayer.forced_path=, jajuk.network.proxy_type=http, jajuk.ui.cover_catalog.show_without_cover=true, jajuk.startup.file=, jajuk.bestof_size=20, jajuk.state.mode.shuffle=false, jajuk.webradio.was_playing=false, jajuk.volume=0.5, jajuk.inc_rating.step=5, jajuk.covers.shuffle=false, jajuk.options.language=en, jajuk.window_position=60,60,1200,930, jajuk.global_random.mode=track, jajuk.not_show_again.concurrent_session=false, jajuk.options.visible_planned=10, jajuk.startup.last_position=0, jajuk.collection_charset=UTF-8, jajuk.refactor_pattern=%artist/%year - %album/%n - %title, jajuk.ui.physical_table_columns=play,track,album,author,style,rate,length, jajuk.network.use_proxy=false, jajuk.update.ignored_releases=, jajuk.release=1.5b3, jajuk.options.p2p.hide_local_properties=true, jajuk.options.history=-1, jajuk.ui.logical_table_edition=false, jajuk.tip.index=0, jajuk.options.p2p.share=false, jajuk.default_dj=, jajuk.options.default_action_click=false, jajuk.startup.mode=last_keep_pos, jajuk.ui.albums_table_columns=play,album,author,style,year,rate,length,tracks,added}  [main] (Log.java:113) 
2008/03/27 09:59:35 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection_exit.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.Main.loadCollection(Main.java:1036)
	at org.jajuk.Main.main(Main.java:366)
2008/03/27 09:59:35 [DEBUG] Jajuk was not closed properly during previous session, try to load previous collection file  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Starting collection file parsing...  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Collection file parsing done : 78 ms  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_CLEAR_HISTORY" by: org.jajuk.services.bookmark.History@157aa53  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_DEVICE_REFRESH" by: org.jajuk.services.bookmark.History@157aa53  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_WEBRADIO_LAUNCHED" by: org.jajuk.services.bookmark.History@157aa53  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_LANGUAGE_CHANGED" by: org.jajuk.services.bookmark.History@157aa53  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_FILE_NAME_CHANGED" by: org.jajuk.services.bookmark.History@157aa53  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_FILE_LAUNCHED" by: org.jajuk.services.bookmark.History@157aa53  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Starting history file parsing...  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] History file parsing done  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_STYLE_NAME_CHANGED" by: org.jajuk.services.dj.AmbienceManager@73a7ab  [main] (Log.java:113) 
2008/03/27 09:59:35 [DEBUG] Register: "EVENT_FILE_FINISHED" by: org.jajuk.services.lastfm.LastFmManager@fbb7cb  [main] (Log.java:113) 
2008/03/27 09:59:39 [DEBUG] Register: "EVENT_AMBIENCE_REMOVED" by: org.jajuk.services.dj.DigitalDJManager@90c06f  [main] (Log.java:113) 

comment:9 Changed 7 years ago by bflorat

OK, so the problem is not the GUI display nor the JRE. Could you please send the last hs_err*.log files ? I'd like to figure out in which thread the crash occurs.

Moreover, could you please edit <jajuk installation path>/jajuk.bat and change line:
java -client -Xms20M -Xmx512M -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 -jar jajuk.jar TEST_FLAG_REPLACED_BY_ANT

to

java -verbose -client -Xms20M -Xmx512M -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 -jar jajuk.jar TEST_FLAG_REPLACED_BY_ANT > out.txt

and launch jajuk from command line, then sending the out.txt file ?

comment:10 Changed 7 years ago by justin.judd@…

Request files attached

Changed 7 years ago by justin.judd@…

Changed 7 years ago by justin.judd@…

comment:11 Changed 7 years ago by bflorat

I think your problem is due to a jdic issue (the lib we use for the tray) running with your graphical card drivers. We plan to drop this lib in jajuk 1.6 (due to 2008/05/11). In the mean time, could you please delete file <jajuk installation path>\lib\windows\x86\tray.dll : it may disable the tray.
Please provide feedback.

comment:12 Changed 7 years ago by justin.judd@…

That seemed to work! The application launches without crashing. I'll eagerly await 1.6. My sincerest thanks for your efforts.

comment:13 Changed 7 years ago by bflorat

  • Component changed from (Jajuk Members) Any (Default Component) to (Java Developer) Core
  • Milestone changed from To Be Decided by Jajuk Team to 1.6 "Summertime"
  • Owner set to bflorat
  • Status changed from new to assigned
  • Type changed from Bug to Known issue

Excellent ! the FAQ has been updated: http://jajuk.info/index.php/English_jajuk_faq#Crash_at_startup

Thanks for reporting

comment:14 Changed 7 years ago by bflorat

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:15 in reply to: ↑ description Changed 6 years ago by anonymous

Replying to justin.judd@gmail.com:

Fresh install of Jajuk. On initial launch, I set my music directory and click OK. I see the splash screen until "Launching Graphical Interface", then app crashes (splash screen disappears). On following launch, I see the splash screen and a notification about Last.FM support, then the application loads until "Launching Graphical Interface" and it crashes.

Here is the 'jajuk.log' on first launch:

2008/03/25 15:06:38 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/25 15:06:38 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/25 15:06:39 [ERROR] 159) No history file or error parsing it  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: No history file or error parsing it
	at org.jajuk.services.bookmark.History.load(History.java:244)
	at org.jajuk.Main.main(Main.java:372)

And on subsequent launches, the following is appended to jajuk.log:

2008/03/25 15:09:50 [INFO] ******************JAJUK******************  [main] (Log.java:142) 
2008/03/25 15:09:50 [INFO] Version: 1.5b3  [main] (Log.java:142) 
2008/03/25 15:09:51 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection_exit.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.Main.loadCollection(Main.java:1036)
	at org.jajuk.Main.main(Main.java:366)
2008/03/25 15:09:51 [ERROR] 45) Collection file parsing error: C:\Documents and Settings\justin.judd\.jajuk\collection.xml  [main] (Log.java:230) 
org.jajuk.util.error.JajukException: Collection file parsing error
	at org.jajuk.base.Collection.load(Collection.java:327)
	at org.jajuk.Main.loadCollection(Main.java:1048)
	at org.jajuk.Main.main(Main.java:366)
2008/03/25 15:09:53 [ERROR] Premature end of file. / null  [main] (Log.java:270) 
org.xml.sax.SAXParseException: Premature end of file.
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.createSAXParseException(Unknown Source)
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.fatalError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLErrorReporter.reportError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLScanner.reportFatalError(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$PrologDriver.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(Unknown Source)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown Source)
	at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at javax.xml.parsers.SAXParser.parse(Unknown Source)
	at org.jajuk.services.webradio.WebRadioManager.loadRepository(WebRadioManager.java:87)
	at org.jajuk.services.webradio.WebRadioManager.<init>(WebRadioManager.java:76)
	at org.jajuk.services.webradio.WebRadioManager.getInstance(WebRadioManager.java:125)
	at org.jajuk.services.webradio.WebRadioManager.getCurrentWebRadioTooltip(WebRadioManager.java:259)
	at org.jajuk.ui.actions.WebRadioAction.<init>(WebRadioAction.java:39)
	at org.jajuk.ui.actions.ActionManager.<init>(ActionManager.java:116)
	at org.jajuk.ui.actions.ActionManager.getInstance(ActionManager.java:97)
	at org.jajuk.Main.main(Main.java:406)

Add Comment

Modify Ticket

Change Properties
Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.